# Get CRB customers Endpoint: GET /service-providers/{sp_id}/crbs/{crb_id}/customers Version: 1.0.0 Security: access_auth ## Path parameters: - `sp_id` (string, required) Service Provider Id - `crb_id` (string, required) CRB Id ## Query parameters: - `limit` (integer) The page size - `offset` (integer) The page offset - `last_updated_from` (string) Last updated from date: yyyy-MM-dd - `last_updated_to` (string) Last updated to date: yyyy-MM-dd ## Response 200 fields (application/json): - `metadata` (object, required) - `metadata.total` (integer, required) - `metadata.count` (string, required) Range of items returned - `data` (array, required) - `data.crb_id` (string, required) - `data.id` (string, required) - `data.pos_type` (string, required) Enum: "Alleaves", "Dutchie", "Dutchie Wholesale", "Cova", "Meadow", "MJ Freeway", "MJ Freeway Wholesale", "Greenbits", "GrowFlow", "GrowFlow Wholesale", "Portal42", "Metrc S2S", "Metrc S2S Wholesale", "Flourish", "Flourish Wholesale", "Flowhub", "BioTrack", "BioTrack Wholesale", "Treez", "Blaze", "Quickbooks", "Sage Intacct", "Canix", "Brytemap", "POSaBIT", "Proteus420", "IndicaOnline", "Sweed", "Weave", "Jane", "Manual Upload Wholesale", "Cova Test Account", "Leaf Logix Test Account", "BioTrack Test Account", "Mj Freeway Test Account", "Treez IO Test Account", "Green Bits Test Account", "Manual Upload Retail", "Not Configured", "Unsupported", "CRBMonitor" - `data.pos_customer_id` (string, required) ID of the customer in the POS - `data.first_name` (string,null, required) Hashed first name - `data.last_name` (string,null, required) Hashed last name - `data.middle_name` (string,null, required) Hashed middle name - `data.dob` (string,null, required) Plain date field for customer date of birth - `data.address_1` (string,null, required) Customer address - `data.address_2` (string,null, required) Additional Customer address - `data.city` (string,null, required) City - `data.state` (string,null, required) State - `data.zip_code` (string,null, required) Zip code - `data.phone` (string,null, required) Hashed phone number - `data.cell_phone` (string,null, required) Hashed cell phone number - `data.email_address` (string,null, required) Hashed email address - `data.gender` (string,null, required) Gender Enum: "Male", "Female", "Other" - `data.pos_identification_type` (string,null, required) Main form of identification used by the customer - `data.pos_customer_type` (string,null, required) Raw POS value for customer type, used to determine if medical or recreational - `data.gc_customer_type` (string,null, required) Customer type determined by GCV, Medical or Recreational Enum: "medical", "rec" - `data.medical_id` (string,null, required) Hashed medical ID - `data.medical_id_expiration_date` (string,null, required) Medical ID expiration date - `data.drivers_license_id` (string,null, required) Hashed drivers license ID - `data.drivers_license_expiration_date` (string,null, required) Drivers license expiration date - `data.other_id` (string,null, required) Hashed other license ID - `data.other_id_expiration_date` (string,null, required) Other ID expiration - `data.caregiver` (boolean,null, required) True if this customer is a caregiver - `data.loyalty_member` (boolean,null, required) True if this customer is a loyalty member - `data.loyalty_points` (string,null, required) Number of accrued loyalty points - `data.anonymous` (boolean,null, required) True if this is an anonymous customer, can depend on the state - `data.pos_updated_date` (string,null, required) the timestamp reported by the pos for the last update to this record in UTC - `data.pos_updated_date_local` (string,null, required) the timestamp reported by the pos for the last update to this record in the crb local time - `data.gc_updated_date` (string,null, required) the timestamp of this records insertion/updates in UTC - `data.gc_created_date` (string,null, required) ## Response 401 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `stack` (string) - `data` (any) ## Response 403 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `stack` (string) - `data` (any) ## Response 404 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `stack` (string) - `data` (any) ## Response 422 fields (application/json): - `name` (string, required) - `message` (string, required) - `status` (number, required) - `fields` (object, required) - `stack` (string) - `data` (any)